PV = "5.4+20151002T133639+85f134e+20151002T133715+035d1b5-bs"
SRC_URI = "http://should-already-by-in-dl-dir/qtwebengine-5.4+20151002T133639+85f134e+20151002T133715+035d1b5-bs.tar.gz"
SRC_URI[md5sum] = "23b407420cbfdc3fda10e96fcbf26bec"
SRC_URI[sha256sum] = "ac2ab5a9704a73f3585e436b2cd2889ed56e5ded6173e6b8a147008346414d38"
inherit nfsquick

require recipes-qt/qt5/qtwebengine.inc

DEPENDS += "\
    boost \
    expat \
    harfbuzz \
    icu \
    jpeg \
    libpng \
    libusb \
    libxml2 \
    libxslt \
    fontconfig \
    freetype \
    lttng-ust \
    lttng-ust-gen-tp-native \
    "

export BS_LTTNG
EXTRA_QMAKEVARS_PRE += "EXTRA_GYP="-Denable_app_list=0 -Duse_libjpeg_turbo=0 -Duse_system_libjpeg=1 -Dsafe_browsing=0 \
		        -Dinput_speech=0 -Dnotifications=0 -Denable_google_now=0 -Denable_printing=0 \
	     		-Denable_spellcheck=0 -Denable_background=0 -Denable_task_manager=0 \
	     		-Denable_one_click_signin=0 -Denable_pre_sync_backup=0 \
	     		-Dremoting=0 -Duse_system_fontconfig=1 -Duse_lttng=${BS_LTTNG} -Ddcheck_always_on=1 \
                ${@base_conditional('BS_TIMEDOCTOR', '1', '-Dcrash_on_dcheck=1', '-Dcrash_on_dcheck=0', d)} ""

UNWINDING = ""


LDFLAGS += "-Wl,-Map,link.map"
CXXFLAGS += "-std=gnu++11"

do_unbundle() {
    cd ${S}/src/3rdparty
    ./chromium/build/linux/unbundle/replace_gyp_files.py -Duse_system_expat=1 -Duse_system_harfbuzz=1 -Duse_system_icu=1 -Duse_system_libjpeg=1 -Duse_system_libpng=1 -Duse_system_libusb=1 -Duse_system_libxml=1 -Duse_system_libxslt=1
    # -Duse_system_openssl=1 doesn't work (SSL_MODE_HANDSHAKE_CUTTHROUGH etc missing)
    # -Duse_system_zlib=1 doesn't work
    # -Duse_system_sqlite=1 doesn't work
}

addtask unbundle after do_patch before do_configure

# Be careful with this one, do_install_append does rm -rf on it.
QTWEBENGINE_REMOVE_PATH = "${D}${datadir}/qt5/translations"

do_install_append() {
	install -m 0644 ${S}/src/3rdparty/chromium/brcm/media/media_player/brightsign/brightsign_media_glue.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BrightsignJavascriptGlueFactory.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BSConfig.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	rm -rf ${QTWEBENGINE_REMOVE_PATH}
}

do_compile_prepend() {
    if [ "${BS_LTTNG}" = "1" ] && [ -d "${S}/src/3rdparty/chromium/base/trace" ]; then
       (
          cd ${S}/src/3rdparty/chromium/base/trace;
          if [ -f "chromium_tp.tp" ]; then
             lttng-gen-tp chromium_tp.tp -o chromium_tp.c -o chromium_tp.h
          fi
       )
    fi
}

