DESCRIPTION = "GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application."
HOMEPAGE = "http://www.gnu.org/s/libmicrohttpd"
SECTION = "libs"
SRC_URI = "ftp://ftp.heanet.ie/mirrors/gnu/libmicrohttpd/libmicrohttpd-${PV}.tar.gz \
           file://libmicrohttpd-${PV}-join-timeout.patch \
"
SRC_URI[md5sum] = "4a9094d6acca69a9da61b170d9dd33ae"
SRC_URI[sha256sum] = "9798be637d4a1d76a377e1d805d142e6edcfd3ec99c443926448f647af1a7a7c"

# It's actually dual licensed but let's use it under LGPLv2.1
LICENSE = "LGPLv2.1"
S = "${WORKDIR}/libmicrohttpd-${PV}"
PR = "r1"

LIC_FILES_CHKSUM = "file://COPYING;md5=9331186f4f80db7da0e724bdd6554ee5"

inherit autotools

do_configure() {
	# autotools.bbclass does "autoreconf --force" which fails for some reason
	( cd ${S} && autoreconf )
	oe_runconf
}

# libcurl is only required for testing. Since we don't depend on it
# we'd better disable its use otherwise we'll get random build
# failures if bitbake decides to build it in parallel.
#
# Building the examples and the docs is mostly a waste of time and we
# don't DEPEND on the things the examples require such as libmagic.
EXTRA_OECONF = "\
    --enable-shared=yes \
    --enable-static=no \
    --disable-https \
    --enable-messages \
    --disable-curl \
    --without-gnutls \
    --without-libgcrypt-prefix \
    --disable-spdy \
    --disable-examples \
    --disable-doc \
    "
